--- /var/tmp/smbios.lst	Sat Mar 19 01:32:27 2011
+++ /var/tmp/smbios-new.lst	Sat Mar 19 01:32:42 2011
@@ -1,5 +1,5 @@
 ID    SIZE TYPE
-1     63   SMB_TYPE_BIOS (BIOS information)
+1     63   0 SMB_TYPE_BIOS (BIOS information)
 
   Vendor: Hewlett-Packard
   Version String: 786G3 v03.12
@@ -34,7 +34,7 @@
   Embedded Ctlr Firmware Version Number: 0.0
 
 ID    SIZE TYPE
-2     95   SMB_TYPE_SYSTEM (system information)
+2     95   1 SMB_TYPE_SYSTEM (system information)
 
   Manufacturer: Hewlett-Packard
   Product: HP Z400 Workstation
@@ -47,7 +47,7 @@
   Family: 103C_53335X
 
 ID    SIZE TYPE
-3     60   SMB_TYPE_BASEBOARD (base board)
+3     60   2 SMB_TYPE_BASEBOARD (base board)
 
   Manufacturer: Hewlett-Packard
   Product: 0B4Ch
@@ -63,12 +63,13 @@
   Board Type: 0xa (motherboard)
 
 ID    SIZE TYPE
-4     54   SMB_TYPE_CHASSIS (system enclosure or chassis)
+4     54   3 SMB_TYPE_CHASSIS (system enclosure or chassis)
 
   Manufacturer: Hewlett-Packard
   Serial Number: 0000000000
   Asset Tag: 0000000000
 
+  SKU Number: 
   OEM Data: 0x0
   Lock Present: N
   Chassis Type: 0x6 (mini-tower)
@@ -75,33 +76,38 @@
   Boot-Up State: 0x3 (safe)
   Power Supply State: 0x3 (safe)
   Thermal State: 0x3 (safe)
-  Chassis Height: 0u
+  Chassis Height: 0 RU
   Power Cords: 0
   Element Records: 0
 
 ID    SIZE TYPE
-5     99   SMB_TYPE_PROCESSOR (processor)
+5     99   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: Intel
   Version: Intel(R) Xeon(R) CPU W3680 @ 3.33GHz
   Location Tag: CPU0 PROCESSOR
 
-  Family: 214
+  Family: 214 (Multi-Core Xeon)
   CPUID: 0xbfebfbff000206c2
   Type: 3 (central processor)
-  Socket Upgrade: 25
+  Socket Upgrade: 25 (socket LGA1366)
   Socket Status: Populated
+  Cores: 6
+  Cores Enabled: 6
+  Hardware Threads: 6
+  Characteristics: 0x4
+	SMB_PRC_MC (multi-core)
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.2V
-  External Clock Speed: Unknown
-  Maximum Speed: 6000MHz
-  Current Speed: 3333MHz
-  L1 Cache: 6
-  L2 Cache: 7
-  L3 Cache: 8
+  Supported Voltages: 1.2 V
+  External Clock Speed: 6400 MHz
+  Maximum Speed: 6000 MHz
+  Current Speed: 3333 MHz
+  L1 Cache: see ID 6
+  L2 Cache: see ID 7
+  L3 Cache: see ID 8
 
 ID    SIZE TYPE
-6     27   SMB_TYPE_CACHE (processor cache)
+6     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L1 Cache
 
@@ -121,7 +127,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-7     27   SMB_TYPE_CACHE (processor cache)
+7     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L2 Cache
 
@@ -141,7 +147,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-8     27   SMB_TYPE_CACHE (processor cache)
+8     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L3 Cache
 
@@ -161,7 +167,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-9     14   SMB_TYPE_PORT (port connector)
+9     14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA0
 
@@ -172,7 +178,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-10    14   SMB_TYPE_PORT (port connector)
+10    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA1
 
@@ -183,7 +189,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-11    14   SMB_TYPE_PORT (port connector)
+11    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA2
 
@@ -194,7 +200,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-12    14   SMB_TYPE_PORT (port connector)
+12    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA3
 
@@ -205,7 +211,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-13    14   SMB_TYPE_PORT (port connector)
+13    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA4
 
@@ -216,7 +222,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-14    14   SMB_TYPE_PORT (port connector)
+14    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SATA5
 
@@ -227,7 +233,7 @@
   Port Type: 32 (SATA)
 
 ID    SIZE TYPE
-15    17   SMB_TYPE_PORT (port connector)
+15    17   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SERIAL A
 
@@ -238,7 +244,7 @@
   Port Type: 9 (Serial Port 16550A compat)
 
 ID    SIZE TYPE
-16    14   SMB_TYPE_PORT (port connector)
+16    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 1
 
@@ -249,7 +255,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-17    14   SMB_TYPE_PORT (port connector)
+17    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 2
 
@@ -260,7 +266,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-18    14   SMB_TYPE_PORT (port connector)
+18    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 3
 
@@ -271,7 +277,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-19    14   SMB_TYPE_PORT (port connector)
+19    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 4
 
@@ -282,7 +288,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-20    14   SMB_TYPE_PORT (port connector)
+20    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 5
 
@@ -293,7 +299,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-21    14   SMB_TYPE_PORT (port connector)
+21    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB 6
 
@@ -304,7 +310,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-22    29   SMB_TYPE_PORT (port connector)
+22    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: INTERNAL USB 1
 
@@ -315,7 +321,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-23    29   SMB_TYPE_PORT (port connector)
+23    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: INTERNAL USB 2
 
@@ -326,7 +332,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-24    26   SMB_TYPE_PORT (port connector)
+24    26   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: FRONT USB 1
 
@@ -337,7 +343,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-25    27   SMB_TYPE_PORT (port connector)
+25    27   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: FRONT USB 2
 
@@ -348,7 +354,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-26    26   SMB_TYPE_PORT (port connector)
+26    26   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: MEDIA CARD
 
@@ -359,7 +365,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-27    26   SMB_TYPE_PORT (port connector)
+27    26   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: MEDIA CARD
 
@@ -370,7 +376,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-28    17   SMB_TYPE_PORT (port connector)
+28    17   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: KEYBOARD
 
@@ -381,7 +387,7 @@
   Port Type: 13 (Keyboard port)
 
 ID    SIZE TYPE
-29    14   SMB_TYPE_PORT (port connector)
+29    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: MOUSE
 
@@ -392,7 +398,7 @@
   Port Type: 14 (Mouse port)
 
 ID    SIZE TYPE
-30    17   SMB_TYPE_PORT (port connector)
+30    17   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: REAR MIC
 
@@ -403,7 +409,7 @@
   Port Type: 29 (Audio port)
 
 ID    SIZE TYPE
-31    21   SMB_TYPE_PORT (port connector)
+31    21   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: REAR LINE IN
 
@@ -414,7 +420,7 @@
   Port Type: 29 (Audio port)
 
 ID    SIZE TYPE
-32    31   SMB_TYPE_PORT (port connector)
+32    31   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: REAR HEADPHONE/LINEOUT
 
@@ -425,7 +431,7 @@
   Port Type: 29 (Audio port)
 
 ID    SIZE TYPE
-33    42   SMB_TYPE_PORT (port connector)
+33    42   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: FRONT AUDIO
 
@@ -436,7 +442,7 @@
   Port Type: 29 (Audio port)
 
 ID    SIZE TYPE
-34    13   SMB_TYPE_PORT (port connector)
+34    13   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: RJ45
 
@@ -447,7 +453,7 @@
   Port Type: 31 (Network port)
 
 ID    SIZE TYPE
-35    16   SMB_TYPE_PORT (port connector)
+35    16   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: CPU FAN
 
@@ -458,7 +464,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-36    12   SMB_TYPE_PORT (port connector)
+36    12   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: FDD
 
@@ -469,7 +475,7 @@
   Port Type: 0 (none)
 
 ID    SIZE TYPE
-37    16   SMB_TYPE_PORT (port connector)
+37    16   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SYS FAN
 
@@ -480,7 +486,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-38    19   SMB_TYPE_PORT (port connector)
+38    19   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: MEMORY FAN
 
@@ -491,7 +497,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-39    22   SMB_TYPE_PORT (port connector)
+39    22   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: SPEAKER (SPK)
 
@@ -502,7 +508,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-40    29   SMB_TYPE_PORT (port connector)
+40    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: PASSWORD CLEAR (E49)
 
@@ -513,7 +519,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-41    30   SMB_TYPE_PORT (port connector)
+41    30   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: HOOD SENSE (HD SENSE)
 
@@ -524,7 +530,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-42    18   SMB_TYPE_PORT (port connector)
+42    18   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: HOOD LOCK
 
@@ -535,7 +541,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-43    30   SMB_TYPE_PORT (port connector)
+43    30   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: POWER BUTTON (PB/LED)
 
@@ -546,7 +552,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-44    16   SMB_TYPE_PORT (port connector)
+44    16   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: PCI FAN
 
@@ -557,47 +563,45 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-45    23   SMB_TYPE_SLOT (upgradeable system slot)
+45    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 1
 
   Reference Designator: SLOT 1
   Slot ID: 0x1
-  Type: 0xaf
+  Type: 0xaf (PCI Express 2 x8)
   Width: 0xa (4x or x4)
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x4
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 3
-  Device/Function Number: 0
+  Bus/Device/Function: 3/0/0
 
 ID    SIZE TYPE
-46    23   SMB_TYPE_SLOT (upgradeable system slot)
+46    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 2
 
   Reference Designator: SLOT 2
   Slot ID: 0x2
-  Type: 0xab
+  Type: 0xab (PCI Express 2)
   Width: 0xd (16x or x16)
   Usage: 0x4 (in use)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x4
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 15
-  Device/Function Number: 0
+  Bus/Device/Function: 15/0/0
 
 ID    SIZE TYPE
-47    23   SMB_TYPE_SLOT (upgradeable system slot)
+47    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 3
 
@@ -608,36 +612,34 @@
   Usage: 0x4 (in use)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x4
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 28
-  Device/Function Number: 0
+  Bus/Device/Function: 28/0/0
 
 ID    SIZE TYPE
-48    23   SMB_TYPE_SLOT (upgradeable system slot)
+48    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 4
 
   Reference Designator: SLOT 4
   Slot ID: 0x4
-  Type: 0xab
+  Type: 0xab (PCI Express 2)
   Width: 0xd (16x or x16)
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x4
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 40
-  Device/Function Number: 0
+  Bus/Device/Function: 40/0/0
 
 ID    SIZE TYPE
-49    23   SMB_TYPE_SLOT (upgradeable system slot)
+49    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 5
 
@@ -648,17 +650,16 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 55
-  Device/Function Number: 72
+  Bus/Device/Function: 55/9/0
 
 ID    SIZE TYPE
-50    23   SMB_TYPE_SLOT (upgradeable system slot)
+50    23   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: SLOT 6
 
@@ -669,22 +670,21 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
   Segment Group: 0
-  Bus Number: 55
-  Device/Function Number: 32
+  Bus/Device/Function: 55/4/0
 
 ID    SIZE TYPE
-51    26   SMB_TYPE_OEMSTR (OEM string table)
+51    26   11 SMB_TYPE_OEMSTR (OEM string table)
 
   ABS 70/71 60 61 62 63
 
 ID    SIZE TYPE
-52    37   SMB_TYPE_LANG (BIOS language information)
+52    37   13 SMB_TYPE_LANG (BIOS language information)
 
   Current Language: en|US|iso8859-1
   Language String Format: 0
@@ -693,7 +693,7 @@
   en|US|iso8859-1
 
 ID    SIZE TYPE
-53    15   SMB_TYPE_MEMARRAY (physical memory array)
+53    15   16 SMB_TYPE_MEMARRAY (physical memory array)
 
   Location: 3 (system board or motherboard)
   Use: 3 (system memory)
@@ -703,7 +703,7 @@
   Max Capacity: 25769803776 bytes
 
 ID    SIZE TYPE
-54    15   SMB_TYPE_MEMARRAY (physical memory array)
+54    15   16 SMB_TYPE_MEMARRAY (physical memory array)
 
   Location: 3 (system board or motherboard)
   Use: 5 (flash memory)
@@ -713,7 +713,7 @@
   Max Capacity: 2097152 bytes
 
 ID    SIZE TYPE
-55    81   SMB_TYPE_MEMDEVICE (memory device)
+55    81   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:80 2C
   Serial Number: 00000000
@@ -720,23 +720,25 @@
   Location Tag: CPU0 DIMM1
   Part Number: 18JSF25672AZ-1G4F1
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: 2
   Size: 2147483648 bytes
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x4080
 	SMB_MDF_SYNC (synchronous)
-	0x4000
-  Speed: Unknown
+	SMB_MDF_UNBUF (unbuffered (unregistered))
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM1
   Bank Locator: 
 
 ID    SIZE TYPE
-56    52   SMB_TYPE_MEMDEVICE (memory device)
+56    52   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:
   Serial Number: 0
@@ -743,22 +745,24 @@
   Location Tag: CPU0 DIMM2
   Part Number:  
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 0 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM2
   Bank Locator: 
 
 ID    SIZE TYPE
-57    81   SMB_TYPE_MEMDEVICE (memory device)
+57    81   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:80 2C
   Serial Number: 00000000
@@ -765,23 +769,25 @@
   Location Tag: CPU0 DIMM3
   Part Number: 18JSF25672AZ-1G4F1
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: 2
   Size: 2147483648 bytes
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x4080
 	SMB_MDF_SYNC (synchronous)
-	0x4000
-  Speed: Unknown
+	SMB_MDF_UNBUF (unbuffered (unregistered))
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM3
   Bank Locator: 
 
 ID    SIZE TYPE
-58    52   SMB_TYPE_MEMDEVICE (memory device)
+58    52   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:
   Serial Number: 0
@@ -788,22 +794,24 @@
   Location Tag: CPU0 DIMM4
   Part Number:  
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 0 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM4
   Bank Locator: 
 
 ID    SIZE TYPE
-59    81   SMB_TYPE_MEMDEVICE (memory device)
+59    81   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:80 2C
   Serial Number: 00000000
@@ -810,23 +818,25 @@
   Location Tag: CPU0 DIMM5
   Part Number: 18JSF25672AZ-1G4F1
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: 2
   Size: 2147483648 bytes
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x4080
 	SMB_MDF_SYNC (synchronous)
-	0x4000
-  Speed: Unknown
+	SMB_MDF_UNBUF (unbuffered (unregistered))
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM5
   Bank Locator: 
 
 ID    SIZE TYPE
-60    52   SMB_TYPE_MEMDEVICE (memory device)
+60    52   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: JEDEC ID:
   Serial Number: 0
@@ -833,29 +843,32 @@
   Location Tag: CPU0 DIMM6
   Part Number:  
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Memory Error Data: Not Supported
   Total Width: 0 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: None
-  Memory Type: 24
+  Memory Type: 24 (DDR3)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: CPU0 DIMM6
   Bank Locator: 
 
 ID    SIZE TYPE
-62    37   SMB_TYPE_MEMDEVICE (memory device)
+62    37   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Location Tag: SYSTEM ROM
 
-  Physical Memory Array: 54
+  Physical Memory Array: see ID 54
   Memory Error Data: Not Supported
   Total Width: 2 bits
   Data Width: 2 bits
+  Rank: Unknown
   Size: 2097152 bytes
   Form Factor: 5 (chip)
   Set: None
@@ -863,38 +876,39 @@
   Flags: 0x1000
 	SMB_MDF_NV (non-volatile)
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: SYSTEM ROM
   Bank Locator: 
 
 ID    SIZE TYPE
-63    15   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+63    15   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Devices per Row: 1
   Physical Address: 0x0
   Size: 3758096384 bytes
 
 ID    SIZE TYPE
-64    15   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+64    15   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 53
+  Physical Memory Array: see ID 53
   Devices per Row: 1
   Physical Address: 0x100000000
   Size: 2684354560 bytes
 
 ID    SIZE TYPE
-65    15   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+65    15   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 54
+  Physical Memory Array: see ID 54
   Devices per Row: 1
   Physical Address: 0xffe00000
   Size: 2097152 bytes
 
 ID    SIZE TYPE
-66    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+66    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 62
-  Memory Array Mapped Address: 65
+  Memory Device: see ID 62
+  Memory Array Mapped Address: see ID 65
   Physical Address: 0xffe00000
   Size: 2097152 bytes
   Partition Row Position: 1
@@ -902,16 +916,18 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-67    11   SMB_TYPE_BOOT (system boot status)
+67    11   32 SMB_TYPE_BOOT (system boot status)
 
   Boot Status Code: 0x0 (no errors detected)
 
 ID    SIZE TYPE
-68    6    SMB_TYPE_OEM_LO+8
+68    6    136 SMB_TYPE_OEM_LO+8
 
+  offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
+       0:  88064400 5a5a                        ..D.ZZ          
 
 ID    SIZE TYPE
-69    23   SMB_TYPE_COOLDEV (cooling device)
+69    23   27 SMB_TYPE_COOLDEV (cooling device)
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  1b0f4500 ffff6300 00000000 00800143  ..E...c........C
@@ -918,7 +934,7 @@
     0x10:  50553020 46616e                      PU0.Fan         
 
 ID    SIZE TYPE
-70    19   SMB_TYPE_OEM_LO+25
+70    19   153 SMB_TYPE_OEM_LO+25
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  99134600 7f041b01 00010045 00010403  ..F........E....
@@ -925,7 +941,7 @@
     0x10:  010500                               ...             
 
 ID    SIZE TYPE
-71    32   SMB_TYPE_COOLDEV (cooling device)
+71    32   27 SMB_TYPE_COOLDEV (cooling device)
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  1b0f4700 ffff6600 00000000 00800152  ..G...f........R
@@ -932,7 +948,7 @@
     0x10:  65617220 43686173 73697320 46616e30  ear.Chassis.Fan0
 
 ID    SIZE TYPE
-72    19   SMB_TYPE_OEM_LO+25
+72    19   153 SMB_TYPE_OEM_LO+25
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  99134800 7f041b01 00030047 00010407  ..H........G....
@@ -939,7 +955,7 @@
     0x10:  010400                               ...             
 
 ID    SIZE TYPE
-75    26   SMB_TYPE_COOLDEV (cooling device)
+75    26   27 SMB_TYPE_COOLDEV (cooling device)
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  1b0f4b00 ffff6600 00000000 0080014d  ..K...f........M
@@ -946,7 +962,7 @@
     0x10:  656d6f72 79204661 6e30               emory.Fan0      
 
 ID    SIZE TYPE
-76    19   SMB_TYPE_OEM_LO+25
+76    19   153 SMB_TYPE_OEM_LO+25
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  99134c00 7f041b01 0007004b 00010407  ..L........K....
@@ -953,7 +969,7 @@
     0x10:  010400                               ...             
 
 ID    SIZE TYPE
-77    38   SMB_TYPE_TPROBE (temperature probe)
+77    38   28 SMB_TYPE_TPROBE (temperature probe)
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  1c164d00 01630080 00806400 00800080  ..M..c....d.....
@@ -961,7 +977,7 @@
     0x20:  72617475 7265                        rature          
 
 ID    SIZE TYPE
-78    19   SMB_TYPE_OEM_LO+25
+78    19   153 SMB_TYPE_OEM_LO+25
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  99134e00 7f011c01 000a004d 00010403  ..N........M....
@@ -968,7 +984,7 @@
     0x10:  010500                               ...             
 
 ID    SIZE TYPE
-79    40   SMB_TYPE_TPROBE (temperature probe)
+79    40   28 SMB_TYPE_TPROBE (temperature probe)
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  1c164f00 01670080 00806400 00800080  ..O..g....d.....
@@ -976,7 +992,7 @@
     0x20:  70657261 74757265                    perature        
 
 ID    SIZE TYPE
-80    19   SMB_TYPE_OEM_LO+25
+80    19   153 SMB_TYPE_OEM_LO+25
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  99135000 7f011c01 000c004f 00010407  ..P........O....
@@ -983,13 +999,13 @@
     0x10:  010400                               ...             
 
 ID    SIZE TYPE
-81    10   SMB_TYPE_OEM_LO+69
+81    10   197 SMB_TYPE_OEM_LO+69
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  c50a5100 05000001 ff01               ..Q.......      
 
 ID    SIZE TYPE
-82    9    SMB_TYPE_OEM_LO+79
+82    9    207 SMB_TYPE_OEM_LO+79
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  cf095200 00000024 00                 ..R....$.       
